Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88321 - system-wide arrow keys stuck in repeat
Summary: system-wide arrow keys stuck in repeat
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 21:50 UTC by Darrell Hurt
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-25 12:24:00 UTC


Attachments (Terms of Use)

Description Darrell Hurt 2003-04-08 21:50:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Although this bug lists VIM as the component, it is really a system-wide 
problem.  (I wasn't sure if it was the kernel, though -- I'm not a programmer.)

When in any document or shell, the arrow keys, especially the "Up Arrow" key 
get stuck and the computer thinks you are holding the key down.  When you hold 
down the Up Arrow key for more than just a moment and then release, instead of 
stopping, the cursor continues moving up until it reaches the top of the 
document or shell history, where it sits and causes error beeps until timed 
out (or sometimes doesn't ever stop).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Red Hat 8.0 on dual-processor Dell Precision 650
2. USB Epson Stylus Color 740
3. Move to the bottom of a long document
4. Hold down the Up Arrow key for more than one second   

Actual Results:  The cursor moves to the top of the document and keeps moving 
up even after the Up Arrow key is released.

Expected Results:  The cursor should have stopped.

Additional info:

The problem is the Epson printer.  When I remove the printer and restart the 
computer, a dialog pops up asking to remove the configuration.  Upon doing 
that, the problem with the keys goes away.

Comment 1 Karsten Hopp 2003-04-09 13:47:44 UTC
Does the problem still exist when you skip kudzu during boot ? 
 

Comment 2 Karsten Hopp 2005-01-25 12:24:00 UTC
closing due to inactivity. Please reopen if the bug is reproducable
with the current Fedora Core development packages.


Note You need to log in before you can comment on or make changes to this bug.